## ETableItem ETableItem |

## Functions

void | e_table_item_set_cursor ()
gint | e_table_item_get_focused_column ()
void | e_table_item_leave_edit ()
void | e_table_item_enter_edit ()
void | e_table_item_redraw_range ()
EPrintable * | e_table_item_get_printable ()
void | e_table_item_compute_location ()
void | e_table_item_compute_mouse_over ()
void | e_table_item_get_cell_geometry ()
gint | e_table_item_row_diff ()
gboolean | e_table_item_is_editing ()
void | e_table_item_cursor_scrolled ()
void | e_table_item_cancel_scroll_to_cursor ()
void | e_table_item_freeze ()
void | e_table_item_thaw ()

## Description

## Functions

### e_table_item_set_cursor ()

    void
    e_table_item_set_cursor (ETableItem *eti,
                             gint col,
                             gint row);

`e_table_item_set_cursor` is deprecated and should not be used in newly-written code.

This routine sets the cursor of the `ETableItem` canvas item.

#### Parameters

eti | `ETableItem` which will have the cursor set. |
col | Column to select. -1 means the last column. |
row | Row to select. -1 means the last row. |

### e_table_item_get_focused_column ()

    gint
    e_table_item_get_focused_column (ETableItem *eti);

`e_table_item_get_focused_column` is deprecated and should not be used in newly-written code.

This routine gets the cursor of the `ETableItem` canvas item.

#### Parameters

eti | `ETableItem` which will have the cursor retrieved. |

#### Returns

The current cursor column.

### e_table_item_leave_edit ()

    void
    e_table_item_leave_edit (ETableItem *eti);

`e_table_item_leave_edit` is deprecated and should not be used in newly-written code.

### e_table_item_enter_edit ()

    void
    e_table_item_enter_edit (ETableItem *eti,
                             gint col,
                             gint row);

`e_table_item_enter_edit` is deprecated and should not be used in newly-written code.

This routine starts the given `ETableItem` editing at the given view column and row.

#### Parameters

eti | `ETableItem` which will start being edited |
col | The view col to edit. |
row | The view row to edit. |

### e_table_item_redraw_range ()

    void
    e_table_item_redraw_range (ETableItem *eti,
                               gint start_col,
                               gint start_row,
                               gint end_col,
                               gint end_row);

`e_table_item_redraw_range` is deprecated and should not be used in newly-written code.

This routine redraws the given `ETableItem` in the range given. The range is inclusive at both ends.

#### Parameters

eti | `ETableItem` which will be redrawn |
start_col | The first col to redraw. |
start_row | The first row to redraw. |
end_col | The last col to redraw. |
end_row | The last row to redraw. |

### e_table_item_get_printable ()

    EPrintable *
    e_table_item_get_printable (ETableItem *eti);

`e_table_item_get_printable` is deprecated and should not be used in newly-written code.

This routine creates and returns an `EPrintable` that can be used to print the given `ETableItem`.

#### Parameters

eti | `ETableItem` which will be printed |

#### Returns

The `EPrintable`.

### e_table_item_compute_location ()

    void
    e_table_item_compute_location (ETableItem *eti,
                                   gint *x,
                                   gint *y,
                                   gint *row,
                                   gint *col);

`e_table_item_compute_location` is deprecated and should not be used in newly-written code.

This routine locates the pixel location (*x, *y) in the `ETableItem`. If that location is in the `ETableItem`, *row and *col are set to the view row and column where it was found. If that location is not in the `ETableItem`, the height of the `ETableItem` is removed from the value y points to.

#### Parameters

eti | `ETableItem` to look in. |
x | A pointer to the x location to find in the `ETableItem`. |
y | A pointer to the y location to find in the `ETableItem`. |
row | A pointer to the location to store the found row in. |
col | A pointer to the location to store the found col in. |

### e_table_item_compute_mouse_over ()

    void
    e_table_item_compute_mouse_over (ETableItem *eti,
                                     gint x,
                                     gint y,
                                     gint *row,
                                     gint *col);

`e_table_item_compute_mouse_over` is deprecated and should not be used in newly-written code.

### e_table_item_get_cell_geometry ()

    void
    e_table_item_get_cell_geometry (ETableItem *eti,
                                    gint *row,
                                    gint *col,
                                    gint *x,
                                    gint *y,
                                    gint *width,
                                    gint *height);

`e_table_item_get_cell_geometry` is deprecated and should not be used in newly-written code.

### e_table_item_row_diff ()

    gint
    e_table_item_row_diff (ETableItem *eti,
                           gint start_row,
                           gint end_row);

`e_table_item_row_diff` is deprecated and should not be used in newly-written code.

### e_table_item_is_editing ()

    gboolean
    e_table_item_is_editing (ETableItem *eti);

`e_table_item_is_editing` is deprecated and should not be used in newly-written code.

#### Parameters

eti | an `ETableItem` |

#### Returns

Whether the table item is currently editing cell content.

### e_table_item_cursor_scrolled ()

    void
    e_table_item_cursor_scrolled (ETableItem *eti);

`e_table_item_cursor_scrolled` is deprecated and should not be used in newly-written code.

Does necessary recalculations after cursor scrolled, like whether the cursor is on screen or not anymore.

#### Parameters

eti | an `ETableItem` |

### e_table_item_cancel_scroll_to_cursor ()

    void
    e_table_item_cancel_scroll_to_cursor (ETableItem *eti);

`e_table_item_cancel_scroll_to_cursor` is deprecated and should not be used in newly-written code.

### e_table_item_freeze ()

    void
    e_table_item_freeze (ETableItem *eti);

`e_table_item_freeze` is deprecated and should not be used in newly-written code.

### e_table_item_thaw ()

    void
    e_table_item_thaw (ETableItem *eti);

`e_table_item_thaw` is deprecated and should not be used in newly-written code.

## Types and Values